// EmotionDialog.cpp : ʵļ
//

#include "stdafx.h"
#include "TestRichEditMFC.h"
#include "EmotionDialog.h"
#include "TestRichEditMFCDlg.h"

// CEmotionDialog Ի

IMPLEMENT_DYNCREATE(CEmotionDialog, CDHtmlDialog)

CEmotionDialog::CEmotionDialog(CWnd* pParent /*=NULL*/)
	: CDHtmlDialog(CEmotionDialog::IDD, CEmotionDialog::IDH, pParent)
{
	EnableAutomation();
}

CEmotionDialog::~CEmotionDialog()
{
}

void CEmotionDialog::DoDataExchange(CDataExchange* pDX)
{
	CDHtmlDialog::DoDataExchange(pDX);
}

BOOL CEmotionDialog::OnInitDialog()
{
	CDHtmlDialog::OnInitDialog();
	SetExternalDispatch(GetIDispatch(TRUE)); 
	return TRUE;  // ǽõؼ򷵻 TRUE
}

BEGIN_MESSAGE_MAP(CEmotionDialog, CDHtmlDialog)
	ON_WM_ACTIVATE()
END_MESSAGE_MAP()

BEGIN_DHTML_EVENT_MAP(CEmotionDialog)
	DHTML_EVENT_ONCLICK(_T("ButtonOK"), OnButtonOK)
	DHTML_EVENT_ONCLICK(_T("ButtonCancel"), OnButtonCancel)
END_DHTML_EVENT_MAP()

BEGIN_DISPATCH_MAP(CEmotionDialog, CDHtmlDialog)
	DISP_FUNCTION(CEmotionDialog, "SelectEmotion", SelectEmotion, VTS_NONE, VTS_UI4)
END_DISPATCH_MAP()

// CEmotionDialog Ϣ

void CEmotionDialog::SelectEmotion(int nID)
{
	CTestRichEditMFCDlg* pMainWnd = (CTestRichEditMFCDlg*)m_pParent;
	pMainWnd->OnSelectEmotion(nID);
}

HRESULT CEmotionDialog::OnButtonOK(IHTMLElement* /*pElement*/)
{
	OnOK();
	return S_OK;
}

HRESULT CEmotionDialog::OnButtonCancel(IHTMLElement* /*pElement*/)
{
	OnCancel();
	return S_OK;
}

void CEmotionDialog::OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized)
{
	CDHtmlDialog::OnActivate(nState, pWndOther, bMinimized);

	if (nState == WA_INACTIVE)
	{
		ShowWindow(SW_HIDE);
	}
}

BOOL CEmotionDialog::CanAccessExternal()
{
	return TRUE;
}

HRESULT STDMETHODCALLTYPE CEmotionDialog::ShowContextMenu(DWORD dwID,  POINT *ppt,  IUnknown *pcmdtReserved,  IDispatch *pdispReserved)
{
	return S_OK;
}